$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/598/SoftwareIdeasModelerSetup32-11-41.exe'
$url64      = 'https://www.softwareideas.net/Download/File/597/SoftwareIdeasModelerSetup64-11-41.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '41d1b4ca7190bfa03517b8eece7604098ae8236df7081b8ebc15801cde47beda'
  checksumType  = 'sha256'
  checksum64    = 'cd4b577330e8efd8d1a5ced3c466d16a5d6488d9548c0d76e9efe1b52a2b9ed2'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
